<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/5_mission/dayzexpansion_core/mvc/scriptviews/bases/expansionscriptviewmenu.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/dd7/expansionscriptviewmenu_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionscriptviewmenu.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d5/dd7/expansionscriptviewmenu_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionScriptViewMenu.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d66/class_expansion_script_view_menu.html">ExpansionScriptViewMenu</a>: <a class="code hl_class" href="../../db/db9/class_expansion_script_view_menu_base.html">ExpansionScriptViewMenuBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#a51891d3e8acf90e56fc90b93b4efdcab">   15</a></span>    <span class="keyword">protected</span> ref Timer <a class="code hl_variable" href="../../d3/d66/class_expansion_script_view_menu.html#a51891d3e8acf90e56fc90b93b4efdcab">m_UpdateTimer</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#ab84718e82974ae4cff91bcc0bd693a8a">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#ab84718e82974ae4cff91bcc0bd693a8a">ExpansionScriptViewMenu</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">if</span> (GetLayoutRoot().<a class="code hl_function" href="../../db/db9/class_expansion_script_view_menu_base.html#a98a6fb4badf5326e211249ad9793a686">IsVisible</a>()) </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            <a class="code hl_function" href="../../db/db9/class_expansion_script_view_menu_base.html#a7bb8056e275b9eeec897accb13af1e45">SetIsVisible</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a2a2f23acab79e5d21beb94ba98d55231">CreateUpdateTimer</a>();</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#a859d3ef1f0ce197a189ca91c3a2f7fde">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a859d3ef1f0ce197a189ca91c3a2f7fde">~ExpansionScriptViewMenu</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_function" href="../../d2/d36/expansionstatic_8c.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a>(<span class="stringliteral">&quot;~&quot;</span> + ToString());</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#aa9e6ed65fe7a9368a2703d3dde86eb4c">DestroyUpdateTimer</a>();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a796888a4b54240de35fafba354076164">Hide</a>();</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    }</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#a316bb9fc21d16787a862b9bdbd1bef45">   33</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a316bb9fc21d16787a862b9bdbd1bef45">Show</a>()</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#af18602c86161898b070444fd3f254efc">CanShow</a>())</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a16ea94597176078aad4a980afa6c6fe7">LockControls</a>();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_function" href="../../db/db9/class_expansion_script_view_menu_base.html#a7bb8056e275b9eeec897accb13af1e45">SetIsVisible</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        GetLayoutRoot().Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a31e757b7f19847203c7d5feb5c6a299e">OnShow</a>();</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#a31e757b7f19847203c7d5feb5c6a299e">   44</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a31e757b7f19847203c7d5feb5c6a299e">OnShow</a>()</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        super.OnShow();</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        PPEffects.SetBlurMenu(0.5);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        SetFocus(GetLayoutRoot());</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a2a2f23acab79e5d21beb94ba98d55231">CreateUpdateTimer</a>();</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#a796888a4b54240de35fafba354076164">   53</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a796888a4b54240de35fafba354076164">Hide</a>()</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a3bfe1bda456eb8add992f00885c6717f">UnlockControls</a>();</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <a class="code hl_function" href="../../db/db9/class_expansion_script_view_menu_base.html#a7bb8056e275b9eeec897accb13af1e45">SetIsVisible</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        GetLayoutRoot().Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#ae845729a63e1447f6b0365886331f07d">OnHide</a>();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#ae845729a63e1447f6b0365886331f07d">   61</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#ae845729a63e1447f6b0365886331f07d">OnHide</a>()</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        super.OnHide();</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        PPEffects.SetBlurMenu(0.0);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#aa9e6ed65fe7a9368a2703d3dde86eb4c">DestroyUpdateTimer</a>();</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#a16ea94597176078aad4a980afa6c6fe7">   69</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a16ea94597176078aad4a980afa6c6fe7">LockControls</a>(<span class="keywordtype">bool</span> lockMovement = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        super.LockControls();</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        GetGame().GetMission().PlayerControlDisable(INPUT_EXCLUDE_ALL);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a7cf6ae6972978cfa633d7b73a5bb9103">ShowHud</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a60720e66a3e77b168194927e5fd1eea8">ShowUICursor</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="comment"></span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="comment">        //! XXX: GetGame().GetInput().ChangeGameFocus(1) works, but disables ESC key...</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span><span class="comment"></span>        <span class="comment">//GetGame().GetInput().ChangeGameFocus(1);</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a80e26952044b9fb3944b63ddd9f4dfa2">LockInputs</a>(<span class="keyword">true</span>, lockMovement);</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        GetUApi().UpdateControls();</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    }</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    </div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#a3bfe1bda456eb8add992f00885c6717f">   85</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a3bfe1bda456eb8add992f00885c6717f">UnlockControls</a>()</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    {</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        super.UnlockControls();</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        GetGame().GetMission().PlayerControlEnable(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a7cf6ae6972978cfa633d7b73a5bb9103">ShowHud</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a60720e66a3e77b168194927e5fd1eea8">ShowUICursor</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        </div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="comment">//GetGame().GetInput().ResetGameFocus();</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#ab4dc1bc07f9459b695bbbc1d995fa602">UnlockInputs</a>();</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        GetUApi().UpdateControls();</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    }</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#a80e26952044b9fb3944b63ddd9f4dfa2">  100</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a80e26952044b9fb3944b63ddd9f4dfa2">LockInputs</a>(<span class="keywordtype">bool</span> state, <span class="keywordtype">bool</span> lockMovement = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        super.LockInputs(state);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        TIntArray inputIDs = <span class="keyword">new</span> TIntArray;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        GetUApi().GetActiveInputs(inputIDs);</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        TStringArray skip = <span class="keyword">new</span> TStringArray;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        skip.Insert(<span class="stringliteral">&quot;UAUIBack&quot;</span>);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span> </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keywordflow">if</span> (!lockMovement)</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        {<span class="comment"></span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span><span class="comment">            //! Allow player movement</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span><span class="comment"></span>            skip.Insert(<span class="stringliteral">&quot;UAMoveForward&quot;</span>);</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            skip.Insert(<span class="stringliteral">&quot;UAMoveBack&quot;</span>);</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            skip.Insert(<span class="stringliteral">&quot;UAMoveLeft&quot;</span>);</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            skip.Insert(<span class="stringliteral">&quot;UAMoveRight&quot;</span>);</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            skip.Insert(<span class="stringliteral">&quot;UATurbo&quot;</span>);</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>            skip.Insert(<span class="stringliteral">&quot;UAWalkRunTemp&quot;</span>);</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            skip.Insert(<span class="stringliteral">&quot;UAWalkRunToggle&quot;</span>);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span> </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>        TIntArray skipIDs = <span class="keyword">new</span> TIntArray;</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        <span class="keywordflow">foreach</span> (<span class="keywordtype">string</span> inputName : skip)</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        {</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            skipIDs.Insert(GetUApi().GetInputByName(inputName).ID());</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        }</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span> </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keywordflow">foreach</span> (<span class="keywordtype">int</span> inputID : inputIDs)</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        {</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            <span class="keywordflow">if</span> (skipIDs.Find(inputID) == -1)</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>            {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>                GetUApi().GetInputByID(inputID).ForceDisable(state);</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            }</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        }</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#ab4dc1bc07f9459b695bbbc1d995fa602">  137</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#ab4dc1bc07f9459b695bbbc1d995fa602">UnlockInputs</a>()</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        super.UnlockInputs();</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a80e26952044b9fb3944b63ddd9f4dfa2">LockInputs</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#a7cf6ae6972978cfa633d7b73a5bb9103">  144</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a7cf6ae6972978cfa633d7b73a5bb9103">ShowHud</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        super.ShowHud(state);</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span> </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <a class="code hl_class" href="../../da/df1/class_mission_gameplay.html">MissionGameplay</a> mission = <a class="code hl_class" href="../../da/df1/class_mission_gameplay.html">MissionGameplay</a>.Cast(GetGame().GetMission());</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        IngameHud hud = IngameHud.Cast(mission.GetHud());</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <span class="keywordflow">if</span> (!hud || !hud.GetHudPanelWidget())</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>        hud.ShowQuickbarUI(state);</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        hud.ShowHudUI(state);</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="keywordflow">if</span> (state)</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            hud.ShowCursor();</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>            hud.HideCursor();</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>    }</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>    </div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#a60720e66a3e77b168194927e5fd1eea8">  163</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a60720e66a3e77b168194927e5fd1eea8">ShowUICursor</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>    {</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        super.ShowUICursor(state);</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        </div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        UIManager vanillaUIManager = GetGame().GetUIManager();</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        vanillaUIManager.ShowUICursor(state);</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    }</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#af18602c86161898b070444fd3f254efc">  171</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#af18602c86161898b070444fd3f254efc">CanShow</a>()</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>    {</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    }</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>    </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#a85dbd5262ef93f23a2857aab1f1d7c09">  176</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a85dbd5262ef93f23a2857aab1f1d7c09">GetUpdateTickRate</a>()</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    {</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        <span class="keywordflow">return</span> -1;</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>    }</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    </div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#a2a2f23acab79e5d21beb94ba98d55231">  181</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a2a2f23acab79e5d21beb94ba98d55231">CreateUpdateTimer</a>()</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    {</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d3/d66/class_expansion_script_view_menu.html#a51891d3e8acf90e56fc90b93b4efdcab">m_UpdateTimer</a> &amp;&amp; <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a85dbd5262ef93f23a2857aab1f1d7c09">GetUpdateTickRate</a>() != -1)</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>        {</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>            <a class="code hl_variable" href="../../d3/d66/class_expansion_script_view_menu.html#a51891d3e8acf90e56fc90b93b4efdcab">m_UpdateTimer</a> = <span class="keyword">new</span> Timer(CALL_CATEGORY_GUI);</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>            <a class="code hl_variable" href="../../d3/d66/class_expansion_script_view_menu.html#a51891d3e8acf90e56fc90b93b4efdcab">m_UpdateTimer</a>.Run(<a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a85dbd5262ef93f23a2857aab1f1d7c09">GetUpdateTickRate</a>(), <span class="keyword">this</span>, <span class="stringliteral">&quot;Update&quot;</span>, NULL, <span class="keyword">true</span>);</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        }</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    }</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>    </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#aa9e6ed65fe7a9368a2703d3dde86eb4c">  190</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#aa9e6ed65fe7a9368a2703d3dde86eb4c">DestroyUpdateTimer</a>()</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>    {</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d3/d66/class_expansion_script_view_menu.html#a51891d3e8acf90e56fc90b93b4efdcab">m_UpdateTimer</a>)</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        {</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>            <a class="code hl_variable" href="../../d3/d66/class_expansion_script_view_menu.html#a51891d3e8acf90e56fc90b93b4efdcab">m_UpdateTimer</a>.Stop();</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>            <span class="keyword">delete</span> <a class="code hl_variable" href="../../d3/d66/class_expansion_script_view_menu.html#a51891d3e8acf90e56fc90b93b4efdcab">m_UpdateTimer</a>;</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        }</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    }</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>    </div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#a82eec78e2019ebb84180f3b3612f77e2">  199</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#a82eec78e2019ebb84180f3b3612f77e2">Update</a>();</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno"><a class="line" href="../../d3/d66/class_expansion_script_view_menu.html#aed06c5d3b48a1ecb76f25748385cc414">  201</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d66/class_expansion_script_view_menu.html#aed06c5d3b48a1ecb76f25748385cc414">CanClose</a>()</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    {</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>    }</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>}</div>
<div class="ttc" id="aclass_expansion_script_view_menu_base_html"><div class="ttname"><a href="../../db/db9/class_expansion_script_view_menu_base.html">ExpansionScriptViewMenuBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d97/expansionscriptviewmenubase_8c_source.html#l00013">expansionscriptviewmenubase.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_base_html_a7bb8056e275b9eeec897accb13af1e45"><div class="ttname"><a href="../../db/db9/class_expansion_script_view_menu_base.html#a7bb8056e275b9eeec897accb13af1e45">ExpansionScriptViewMenuBase::SetIsVisible</a></div><div class="ttdeci">void SetIsVisible(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d97/expansionscriptviewmenubase_8c_source.html#l00022">expansionscriptviewmenubase.c:22</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_base_html_a98a6fb4badf5326e211249ad9793a686"><div class="ttname"><a href="../../db/db9/class_expansion_script_view_menu_base.html#a98a6fb4badf5326e211249ad9793a686">ExpansionScriptViewMenuBase::IsVisible</a></div><div class="ttdeci">bool IsVisible()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d97/expansionscriptviewmenubase_8c_source.html#l00027">expansionscriptviewmenubase.c:27</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html">ExpansionScriptViewMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00013">expansionscriptviewmenu.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_a16ea94597176078aad4a980afa6c6fe7"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#a16ea94597176078aad4a980afa6c6fe7">ExpansionScriptViewMenu::LockControls</a></div><div class="ttdeci">override void LockControls(bool lockMovement=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00069">expansionscriptviewmenu.c:69</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_a2a2f23acab79e5d21beb94ba98d55231"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#a2a2f23acab79e5d21beb94ba98d55231">ExpansionScriptViewMenu::CreateUpdateTimer</a></div><div class="ttdeci">void CreateUpdateTimer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00181">expansionscriptviewmenu.c:181</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_a316bb9fc21d16787a862b9bdbd1bef45"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#a316bb9fc21d16787a862b9bdbd1bef45">ExpansionScriptViewMenu::Show</a></div><div class="ttdeci">override void Show()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00033">expansionscriptviewmenu.c:33</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_a31e757b7f19847203c7d5feb5c6a299e"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#a31e757b7f19847203c7d5feb5c6a299e">ExpansionScriptViewMenu::OnShow</a></div><div class="ttdeci">override void OnShow()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00044">expansionscriptviewmenu.c:44</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_a3bfe1bda456eb8add992f00885c6717f"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#a3bfe1bda456eb8add992f00885c6717f">ExpansionScriptViewMenu::UnlockControls</a></div><div class="ttdeci">override void UnlockControls()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00085">expansionscriptviewmenu.c:85</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_a51891d3e8acf90e56fc90b93b4efdcab"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#a51891d3e8acf90e56fc90b93b4efdcab">ExpansionScriptViewMenu::m_UpdateTimer</a></div><div class="ttdeci">protected ref Timer m_UpdateTimer</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00015">expansionscriptviewmenu.c:15</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_a60720e66a3e77b168194927e5fd1eea8"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#a60720e66a3e77b168194927e5fd1eea8">ExpansionScriptViewMenu::ShowUICursor</a></div><div class="ttdeci">override void ShowUICursor(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00163">expansionscriptviewmenu.c:163</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_a796888a4b54240de35fafba354076164"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#a796888a4b54240de35fafba354076164">ExpansionScriptViewMenu::Hide</a></div><div class="ttdeci">override void Hide()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00053">expansionscriptviewmenu.c:53</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_a7cf6ae6972978cfa633d7b73a5bb9103"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#a7cf6ae6972978cfa633d7b73a5bb9103">ExpansionScriptViewMenu::ShowHud</a></div><div class="ttdeci">override void ShowHud(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00144">expansionscriptviewmenu.c:144</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_a80e26952044b9fb3944b63ddd9f4dfa2"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#a80e26952044b9fb3944b63ddd9f4dfa2">ExpansionScriptViewMenu::LockInputs</a></div><div class="ttdeci">override void LockInputs(bool state, bool lockMovement=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00100">expansionscriptviewmenu.c:100</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_a82eec78e2019ebb84180f3b3612f77e2"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#a82eec78e2019ebb84180f3b3612f77e2">ExpansionScriptViewMenu::Update</a></div><div class="ttdeci">void Update()</div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_a859d3ef1f0ce197a189ca91c3a2f7fde"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#a859d3ef1f0ce197a189ca91c3a2f7fde">ExpansionScriptViewMenu::~ExpansionScriptViewMenu</a></div><div class="ttdeci">void ~ExpansionScriptViewMenu()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00025">expansionscriptviewmenu.c:25</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_a85dbd5262ef93f23a2857aab1f1d7c09"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#a85dbd5262ef93f23a2857aab1f1d7c09">ExpansionScriptViewMenu::GetUpdateTickRate</a></div><div class="ttdeci">float GetUpdateTickRate()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00176">expansionscriptviewmenu.c:176</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_aa9e6ed65fe7a9368a2703d3dde86eb4c"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#aa9e6ed65fe7a9368a2703d3dde86eb4c">ExpansionScriptViewMenu::DestroyUpdateTimer</a></div><div class="ttdeci">void DestroyUpdateTimer()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00190">expansionscriptviewmenu.c:190</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_ab4dc1bc07f9459b695bbbc1d995fa602"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#ab4dc1bc07f9459b695bbbc1d995fa602">ExpansionScriptViewMenu::UnlockInputs</a></div><div class="ttdeci">override void UnlockInputs()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00137">expansionscriptviewmenu.c:137</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_ab84718e82974ae4cff91bcc0bd693a8a"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#ab84718e82974ae4cff91bcc0bd693a8a">ExpansionScriptViewMenu::ExpansionScriptViewMenu</a></div><div class="ttdeci">void ExpansionScriptViewMenu()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00017">expansionscriptviewmenu.c:17</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_ae845729a63e1447f6b0365886331f07d"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#ae845729a63e1447f6b0365886331f07d">ExpansionScriptViewMenu::OnHide</a></div><div class="ttdeci">override void OnHide()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00061">expansionscriptviewmenu.c:61</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_aed06c5d3b48a1ecb76f25748385cc414"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#aed06c5d3b48a1ecb76f25748385cc414">ExpansionScriptViewMenu::CanClose</a></div><div class="ttdeci">bool CanClose()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00201">expansionscriptviewmenu.c:201</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_html_af18602c86161898b070444fd3f254efc"><div class="ttname"><a href="../../d3/d66/class_expansion_script_view_menu.html#af18602c86161898b070444fd3f254efc">ExpansionScriptViewMenu::CanShow</a></div><div class="ttdeci">override bool CanShow()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dd7/expansionscriptviewmenu_8c_source.html#l00171">expansionscriptviewmenu.c:171</a></div></div>
<div class="ttc" id="aclass_mission_gameplay_html"><div class="ttname"><a href="../../da/df1/class_mission_gameplay.html">MissionGameplay</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d44/missiongameplay_8c_source.html#l00016">missiongameplay.c:17</a></div></div>
<div class="ttc" id="aexpansionstatic_8c_html_a360b77a21b7b48591e2d244da9c12d7e"><div class="ttname"><a href="../../d2/d36/expansionstatic_8c.html#a360b77a21b7b48591e2d244da9c12d7e">EXPrint</a></div><div class="ttdeci">static void EXPrint(string s, string prefix=&quot; [EXPANSION DEBUG]: &quot;)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d36/expansionstatic_8c_source.html#l00027">expansionstatic.c:27</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_ee841cbe272fde7d7d8de5f31a96d644.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_d9bf3955f906b79792cbbbe771cbfdb0.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_a010632d5636c220a8f3f7c7edce9061.html">mvc</a></li><li class="navelem"><a class="el" href="../../dir_1621b81b9785d73209c7f4c12fbe6bef.html">scriptviews</a></li><li class="navelem"><a class="el" href="../../dir_6528999816d6cd83ca2077107d99fccf.html">bases</a></li><li class="navelem"><a class="el" href="../../d5/dd7/expansionscriptviewmenu_8c.html">expansionscriptviewmenu.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
